package com.abi.qms.platform.feign;

import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.stereotype.Service;

/**
 * TODO 无法调用其他微服务，模拟SkuFeign
 * @author WeiganCai
 * @date: 2021-08-17
 */
@Service
public class SkuFeign {

	public Sku getSkuByCode(String skuCode) {
		return new Sku()
				.setSkuId(215L)
				.setSkuCode(skuCode)
				.setSkuName("哈尔滨特制超鲜10度610ML1X12纸箱OW瓶装")
				.setBrandCode("01ABZY")
				.setBrandName("哈尔滨");

	}

	@Data
	@Accessors(chain = true)
	public static class Sku {
		private Long skuId;
		private String skuCode;
		private String skuName;
		private String brandCode;
		private String brandName;
	}
}
